package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.domain.BizTakeStockPeriod;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizTaksStockLotMapper;
import cn.ezhizao.project.business.domain.BizTaksStockLot;
import cn.ezhizao.project.business.service.IBizTaksStockLotService;

/**
 * 盘点批次信息Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-15
 */
@Service
public class BizTaksStockLotServiceImpl  extends ServiceImpl<BizTaksStockLotMapper, BizTaksStockLot> implements IBizTaksStockLotService
{
    @Resource
    private BizTaksStockLotMapper bizTaksStockLotMapper;

    /**
     * 查询盘点批次信息列表
     *
     * @param bizTaksStockLot 盘点批次信息
     * @return 盘点批次信息
     */
    @Override
    public List<BizTaksStockLot> getList(BizTaksStockLot bizTaksStockLot)
    {
        return bizTaksStockLotMapper.getList(bizTaksStockLot);
    }

    @Override
    public List<BizTaksStockLot> getProductionPlanDetailList(BizTaksStockLot bizTaksStockLot) {
        return bizTaksStockLotMapper.getProductionPlanDetailList(bizTaksStockLot);
    }


    @Override
    public List<BizTaksStockLot> getNotTaksLot(BizTaksStockLot bizTaksStockLot) {
        return bizTaksStockLotMapper.getNotTaksLot(bizTaksStockLot);
    }

    @Override
    public List<BizTaksStockLot> getInfo(BizTakeStockPeriod bizTakeStockPeriod) {
        return bizTaksStockLotMapper.getInfo(bizTakeStockPeriod);
    }

    /**
     * 物理删除
     * @param bizTaksStockLot
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizTaksStockLot bizTaksStockLot){ return bizTaksStockLotMapper.physicalDelete(bizTaksStockLot); };

}
